Jump to content
asianMP

Problème Mise à jour Manuelle 1.6.1.1 à 1.7.6.2

Recommended Posts

Bonjour à tous!

 

Mon site est hébergé par OVH en Offre Mutualisée Pro 2014, mon site est assez petit 1,2Go (je pense que mon hébergement n'est pas le problème)

Je suis donc en version 1.6.1.1 et je souhaite migrer en version 1.7.6.2 pour pouvoir ensuite passer de PHP 5.6 a une version PHP 7.0.

j'ai donc suivi la documentation transmise par PrestaShop : https://www.prestashop.com/fr/blog/mettre-a-jour-ma-boutique-prestashop-1-6-vers-1-7

et suivi les différentes instructions en chargeant les nouveaux fichier à la racine du site /www (comme étant mes precedents fichiers que j'ai mit dans OLD)

puis copier les 3 fichiers de mon OLD a la racine(/IMG /UPLOAD /DOWNLOAD) en écrasant ceux presents puis copier le fichier /config/settings.inc.php 

également à la racine.

J'essaye donc de lancer la mise à jour et d'appeler L'URL dans le navigateur via https://xxxxx/install/upgrade/upgrade.php

la page se charge ensuite 10secondes et ensuite page blanche sur safari et qu'en essaye sur chrome j'ai HTTP ERROR 500

 

Pouvez m'indiquer quelle erreur j'ai commise ou qu'es que j'ai loupé, j'ai beau relire plusieurs fois les instructions je ne voit pas le problème...

 

Merci pour aide.

Share this post


Link to post
Share on other sites

Bonjour,

si vous voulez seulement passer sur une version compatible PHP7.0 alors la dernière version 1.6 l'est.

Share this post


Link to post
Share on other sites
5 minutes ago, Mediacom87 said:

Bonjour,

si vous voulez seulement passer sur une version compatible PHP7.0 alors la dernière version 1.6 l'est.

Bonjour, non ce n'est pas uniquement pour cette raison, je souhaiterai également que mon site profite des dernières mise à jours des version 1.7 plus actuelle !

Edited by asianMP (see edit history)

Share this post


Link to post
Share on other sites

Sachez qu'en faisant le choix de la 1.7 vous devez obligatoirement faire l'ensemble des mises à jour pour espérer conserveur une boutique stable et approcher les fonctionnalités que vous aviez sur la 1.6

Share this post


Link to post
Share on other sites
4 minutes ago, Mediacom87 said:

Sachez qu'en faisant le choix de la 1.7 vous devez obligatoirement faire l'ensemble des mises à jour pour espérer conserveur une boutique stable et approcher les fonctionnalités que vous aviez sur la 1.6

Oui j'en suis bien contient, mais cette étape est nécessaire pour la longévité de mon site internet et ces performances...

Avez-vous une idée de l'erreur que j'ai put commise dans le processus d'installations ?

Share this post


Link to post
Share on other sites

 

J'essaye d'appeler l’url https://xxxxx/install/upgrade/upgrade.php dans mon navigateur rien ne se passe..

par contre si j'appelle l’url https://xxxxx/install/ la j'obtient l'Assistant d'installation mais pas de mise à jour

qu'es que je doit faire ?

 

Edited by asianMP (see edit history)

Share this post


Link to post
Share on other sites

Je suis donc toujours au meme point je n'arrive pas à appeler mon fichier upgrade.php il ne se lance pas.

Personne n'as eu ce meme problème? Un membre de la communauté peut-il me venir en aide?

Share this post


Link to post
Share on other sites

En me mettant en mode debug j'obtient ceci :

 

Notice: Use of undefined constant _DB_SERVER_ - assumed '_DB_SERVER_' in /home/powerbyfvn/www/classes/db/Db.php on line 219

Notice: Use of undefined constant _DB_USER_ - assumed '_DB_USER_' in /home/powerbyfvn/www/classes/db/Db.php on line 219

Notice: Use of undefined constant _DB_PASSWD_ - assumed '_DB_PASSWD_' in /home/powerbyfvn/www/classes/db/Db.php on line 219

Notice: Use of undefined constant _DB_NAME_ - assumed '_DB_NAME_' in /home/powerbyfvn/www/classes/db/Db.php on line 219

Fatal error: Uncaught PrestaShopException: Link to database cannot be established: SQLSTATE[HY000] [2002] php_network_getaddresses: getaddrinfo failed: Name or service not known in /home/powerbyfvn/www/classes/db/DbPDO.php:127 Stack trace: #0 /home/powerbyfvn/www/classes/db/Db.php(330): DbPDOCore->connect() #1 /home/powerbyfvn/www/classes/db/Db.php(241): DbCore->__construct('_DB_SERVER_', '_DB_USER_', '_DB_PASSWD_', '_DB_NAME_') #2 /home/powerbyfvn/www/src/PrestaShopBundle/Install/Upgrade.php(177): DbCore::getInstance() #3 /home/powerbyfvn/www/install/upgrade/upgrade.php(58): PrestaShopBundle\Install\Upgrade->__construct('/home/powerbyfv...', '/home/powerbyfv...') #4 {main} thrown in /home/powerbyfvn/www/classes/db/DbPDO.php on line 127

Share this post


Link to post
Share on other sites

Même problème 

lorsque je veux faire l'upgrade j'ai l'erreur

 

Fatal error: Uncaught Symfony\Component\Debug\Exception\FatalThrowableError: Type error: Argument 1 passed to PrestaShopBundle\Translation\Loader\SqlTranslationLoader::addTranslationsToCatalogue() must be of the type array, boolean given, called in /home/lovingsc/www/src/PrestaShopBundle/Translation/Loader/SqlTranslationLoader.php on line 84 in /home/lovingsc/www/src/PrestaShopBundle/Translation/Loader/SqlTranslationLoader.php:101 Stack trace: #0 /home/lovingsc/www/src/PrestaShopBundle/Translation/Loader/SqlTranslationLoader.php(84): PrestaShopBundle\Translation\Loader\SqlTranslationLoader->addTranslationsToCatalogue(false, Object(Symfony\Component\Translation\MessageCatalogue)) #1 /home/lovingsc/www/vendor/symfony/symfony/src/Symfony/Component/Translation/Translator.php(381): PrestaShopBundle\Translation\Loader\SqlTranslationLoader->load('AdminActions.fr...', 'fr-FR', 'AdminActions') #2 /home/lovingsc/www/vendor/symfony/symfony/src/Symfony/Component/Translation/Translator.php(277): Symfony\Component\Translation\Translato in /home/lovingsc/www/src/PrestaShopBundle/Translation/Loader/SqlTranslationLoader.php on line 101

Share this post


Link to post
Share on other sites
On 12/17/2019 at 3:30 AM, asianMP said:

En me mettant en mode debug j'obtient ceci :

 

Notice: Use of undefined constant _DB_SERVER_ - assumed '_DB_SERVER_' in /home/powerbyfvn/www/classes/db/Db.php on line 219

Notice: Use of undefined constant _DB_USER_ - assumed '_DB_USER_' in /home/powerbyfvn/www/classes/db/Db.php on line 219

Notice: Use of undefined constant _DB_PASSWD_ - assumed '_DB_PASSWD_' in /home/powerbyfvn/www/classes/db/Db.php on line 219

Notice: Use of undefined constant _DB_NAME_ - assumed '_DB_NAME_' in /home/powerbyfvn/www/classes/db/Db.php on line 219

Fatal error: Uncaught PrestaShopException: Link to database cannot be established: SQLSTATE[HY000] [2002] php_network_getaddresses: getaddrinfo failed: Name or service not known in /home/powerbyfvn/www/classes/db/DbPDO.php:127 Stack trace: #0 /home/powerbyfvn/www/classes/db/Db.php(330): DbPDOCore->connect() #1 /home/powerbyfvn/www/classes/db/Db.php(241): DbCore->__construct('_DB_SERVER_', '_DB_USER_', '_DB_PASSWD_', '_DB_NAME_') #2 /home/powerbyfvn/www/src/PrestaShopBundle/Install/Upgrade.php(177): DbCore::getInstance() #3 /home/powerbyfvn/www/install/upgrade/upgrade.php(58): PrestaShopBundle\Install\Upgrade->__construct('/home/powerbyfv...', '/home/powerbyfv...') #4 {main} thrown in /home/powerbyfvn/www/classes/db/DbPDO.php on line 127

Salut,

Moi aussi j'ai pratiquement le même problème. Sauf que les erreurs sont un peu différentes.

Du coup dans ton cas as-tu conservé l'ancienne base de données. Vu tes erreurs, j'ai l'impression que ton fichier setting.inc.php ne permet pas de bien communiquer avec ta base de donnée.

La solution que tu utilises demande que tu conserve l'ancienne BD et l'ancien fichier setting.inc.php. Si c'est le cas vérifie les infos du ficher setting.inc.php si elles sont cohérentes avec ta BD.

Au cas où tu aurais déjà trouvé la solution, n'oublie pas de partager :)

Share this post


Link to post
Share on other sites
On 12/19/2019 at 7:50 PM, shana0780 said:

Même problème 

lorsque je veux faire l'upgrade j'ai l'erreur

 

Fatal error: Uncaught Symfony\Component\Debug\Exception\FatalThrowableError: Type error: Argument 1 passed to PrestaShopBundle\Translation\Loader\SqlTranslationLoader::addTranslationsToCatalogue() must be of the type array, boolean given, called in /home/lovingsc/www/src/PrestaShopBundle/Translation/Loader/SqlTranslationLoader.php on line 84 in /home/lovingsc/www/src/PrestaShopBundle/Translation/Loader/SqlTranslationLoader.php:101 Stack trace: #0 /home/lovingsc/www/src/PrestaShopBundle/Translation/Loader/SqlTranslationLoader.php(84): PrestaShopBundle\Translation\Loader\SqlTranslationLoader->addTranslationsToCatalogue(false, Object(Symfony\Component\Translation\MessageCatalogue)) #1 /home/lovingsc/www/vendor/symfony/symfony/src/Symfony/Component/Translation/Translator.php(381): PrestaShopBundle\Translation\Loader\SqlTranslationLoader->load('AdminActions.fr...', 'fr-FR', 'AdminActions') #2 /home/lovingsc/www/vendor/symfony/symfony/src/Symfony/Component/Translation/Translator.php(277): Symfony\Component\Translation\Translato in /home/lovingsc/www/src/PrestaShopBundle/Translation/Loader/SqlTranslationLoader.php on line 101

Même problème que toi

 

Share this post


Link to post
Share on other sites
Posted (edited)
36 minutes ago, eli3006 said:

Même problème que toi

 

Pour info, j'y suis arrivée en utilisant le module 1-click upgrade mais attention, beaucoup d'erreurs à corriger par la suite. J'aime autant prévenir ;)
Ca ne se fait pas tout seul, ce sont des heures de travail derrière. On corrige une chose, une autre arrive mais le résultat est là pour finir.
Voici la boutique que j'ai upgradée et modifiée www.lovingscrap.com

Pour info, je suis restée sur le thème Classic que j'ai entièrement modifié.

Edited by shana0780 (see edit history)

Share this post


Link to post
Share on other sites

Malheureusement n'aillant reçu aucune aide des membres du forum et après de nombreuse recherche et de temps passée sur ce problème (à me tirer les cheveux)

j'ai donc du abandonner l'idée de mise a jour manuelle qui ne fonctionne pas.

Le module 1-click upgrade ne fonctionnant pas sur mon site (dut en partie a mon hébergement) j'ai opté pour le module payant 1-Click Direct Upgrade

qui ont eu un service client très efficace pour répondre à l'ensemble de mes question afin de procéder à cette mise jour et je ne regrette pas du tout mon choix.

J'ai ainsi put lancer la mise a jour qui ne s'effectuait pas avec le module gratuit et en 15 min, l'attente d'une aide pendant 3 semaines à été réglé !

Share this post


Link to post
Share on other sites
On 1/6/2020 at 12:27 AM, eli3006 said:

Salut,

Moi aussi j'ai pratiquement le même problème. Sauf que les erreurs sont un peu différentes.

Du coup dans ton cas as-tu conservé l'ancienne base de données. Vu tes erreurs, j'ai l'impression que ton fichier setting.inc.php ne permet pas de bien communiquer avec ta base de donnée.

La solution que tu utilises demande que tu conserve l'ancienne BD et l'ancien fichier setting.inc.php. Si c'est le cas vérifie les infos du ficher setting.inc.php si elles sont cohérentes avec ta BD.

Au cas où tu aurais déjà trouvé la solution, n'oublie pas de partager :)

Moi de mon coté quand je modifiais le fichier setting.inc il n'était pas prit en compte .

Le problème vient apparemment de la connexion avec la base de donnés et des nouvelle tables qui ne sont pas présente dans l'ancienne version..

Share this post


Link to post
Share on other sites
4 hours ago, asianMP said:

Moi de mon coté quand je modifiais le fichier setting.inc il n'était pas prit en compte .

Le problème vient apparemment de la connexion avec la base de donnés et des nouvelle tables qui ne sont pas présente dans l'ancienne version..

Ca ne fonctionnait pas avec le module gratuit au début mais un petit passage dans les paramètres et désactiver les CCC, activer le mode Debug et tous les modules non Prestashop et ça a fonctionné ;)

Share this post


Link to post
Share on other sites
On 1/7/2020 at 3:54 AM, asianMP said:

Malheureusement n'aillant reçu aucune aide des membres du forum et après de nombreuse recherche et de temps passée sur ce problème (à me tirer les cheveux)

j'ai donc du abandonner l'idée de mise a jour manuelle qui ne fonctionne pas.

Le module 1-click upgrade ne fonctionnant pas sur mon site (dut en partie a mon hébergement) j'ai opté pour le module payant 1-Click Direct Upgrade

qui ont eu un service client très efficace pour répondre à l'ensemble de mes question afin de procéder à cette mise jour et je ne regrette pas du tout mon choix.

J'ai ainsi put lancer la mise a jour qui ne s'effectuait pas avec le module gratuit et en 15 min, l'attente d'une aide pendant 3 semaines à été réglé !

Merci pour cette recherche, nous avons un site hebergé sur OVH et dont la version prestashop est 1.6.0.9...

Je souhaiterai me mettre au 1.7 pour diverses raisons (installation de certains modules...).

Je voulais suivre le tuto que vous avez suivi à l'origine mais je commence a douter de son efficacité...qu'en pensez-vous ?

Je serais bien tenter de tester le module que avez utilisé.

Bien cordialement

Share this post


Link to post
Share on other sites
14 hours ago, Cyclart said:

Merci pour cette recherche, nous avons un site hebergé sur OVH et dont la version prestashop est 1.6.0.9...

Je souhaiterai me mettre au 1.7 pour diverses raisons (installation de certains modules...).

Je voulais suivre le tuto que vous avez suivi à l'origine mais je commence a douter de son efficacité...qu'en pensez-vous ?

Je serais bien tenter de tester le module que avez utilisé.

Bien cordialement

Bonjour,

 

Clairement ce Tuto ne fonctionne pas de mon coté, si vous avez fait un back up de votre site, cela ne vous coute rien d'essayer 

mais meme en utilisant l'aide d'un professionnel il n'est pas arrivé a trouver le problème de ce tuto.

Je viens d'utiliser une deuxième fois ce module 1-Click Direct Upgrade et j'en suis très satisfait, vous pouvez contacter directement leur SAV qui est très efficace

et vous répondra très rapidement. (avant et après achat)

Je ne vous cache pas qu'il y aura ensuite pas mal de boulot afin de réinstaller vos different modules sur votre version` 1.7 et rendre votre site fonctionnel.

Pour vous aider sur la nouvelle version 1.7 je vous conseille de suivre les video explicatives de Webbax que vous pouvez retrouver sur son site et Youtube.

 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More